Skip to main content
GET
/
counterparties
/
{id}
Get a counterparty
curl --request GET \
  --url https://api.tomorro.com/v2/counterparties/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Acme Corporation",
  "status": "active",
  "logoUrl": "https://example.com/logo.png",
  "fields": {
    "ff093e5d-39af-4cf6-8920-c07c9e3f5921": "value1"
  },
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-02T00:00:00.000Z"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

id
string
required

The unique identifier (UUID) of the counterparty

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Counterparty details

id
string
required

Unique identifier for the counterparty

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required

Name of the counterparty (company or individual name)

Example:

"Acme Corporation"

status
enum<string>
required

Current status of the counterparty

Available options:
active,
archived
Example:

"active"

logoUrl
object
required

URL of the counterparty logo

Example:

"https://example.com/logo.png"

fields
object
required

Custom field values for the counterparty

Example:
{
"ff093e5d-39af-4cf6-8920-c07c9e3f5921": "value1"
}
createdAt
string<date-time>
required

Time at which the counterparty was created. Formatted as an ISO 8601 date-time string.

Example:

"2024-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

Time at which the counterparty was last updated. Formatted as an ISO 8601 date-time string.

Example:

"2024-01-02T00:00:00.000Z"